//Emp.java

package hr;

public class Emp implements java.io.Serializable
{

    private Integer empNo;
    private String empName;
    private Float salary;

    public Emp(Integer empNo, String empName, Float salary)
    {
	this.empNo = empNo;
	this.empName = empName;
	this.salary = salary;
    }

    public Integer getEmpNo() {
	return empNo;
    }

    public void setEmpNo(Integer empNo) {
	this.empNo = empNo;
    }

    public String getEmpName() {
	return empName;
    }

    public void setEmpName(String empName) {
	this.empName = empName;
    }

    public Float getSalary() {
	return salary;
    }

    public void setSalary(Float salary) {
	this.salary = salary;
    }

    public boolean equals(Object other)
    {
        if(other instanceof Emp) {
            Emp emp = (Emp)other;
            if (empNo.equals(emp.getEmpNo()) &&
                empName.equals(emp.getEmpName()) &&
                salary.equals(emp.getSalary())) {
                return true;
            }
        }
        return false;
    }

}
